Want to skip the docs? Use the MCP Server
Endpoint availability: Standard and aboveLearn more
Bulk IP Lookup
curl --request GET \
--url https://greipapi.com/lookup/ip/bulk \
--header 'Authorization: Bearer <token>'import requests
url = "https://greipapi.com/lookup/ip/bulk"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://greipapi.com/lookup/ip/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Data Lookup
Bulk IP Lookup
This API enables you to retrieve information for multiple IP addresses in a single request.
By using the /lookup/ip/bulk method, you can efficiently gather data such as location, ISP, and risk factors for a batch of IPs, saving time and streamlining your workflow for large-scale analysis.
Want to skip the docs? Use the MCP Server
Endpoint availability: Standard and aboveLearn more
GET
/
lookup
/
ip
/
bulk
Bulk IP Lookup
You can lookup upto 10 IP addresses using this method. Otherwise, you will get
an error response (Code: 118).
Query Parameters
The ips command is used to specify the IP address you want to lookup.Expected values: comma serarated IP addresses (IPv4 or IPv6)Sample value:
1.1.1.1,2.2.2.2The params command can be used to specify the required modules you want to get
in the response.Expected values:
security, currency, timezone, location, and/or deviceSample value: security,timezone,currencyFor more information please refer to Customize response modules.The format command is used to get a response in a specific format.Expected values:
JSON, XML, CSV, or NewlineFor more information please refer to Response Format.The lang command is used to get a response in a specific language.Expected values:
EN, AR, DE, FR, ES, JA, ZH, or RUFor more information please refer to Localization.The mode command is used to in the development stage to simulate the integration process before releasing it to the production environment.Expected values:
live, or test.For more information please refer to Development Environment.The callback command can help you make the response as a JSONP format.Expected values: any name that can be used as a function name in Javascript, e.g:
myFunctionName.For more information please refer to JSONP Callback.Was this page helpful?
⌘I